package com.qmth.teachcloud.common.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.exception.ParameterException;
import com.qmth.teachcloud.common.entity.ScanAnswerCard;
import com.qmth.teachcloud.common.mapper.ScanAnswerCardMapper;
import com.qmth.teachcloud.common.service.ScanAnswerCardService;

/**
 * <p>
 * 题卡卡格式表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Service
public class ScanAnswerCardServiceImpl extends ServiceImpl<ScanAnswerCardMapper, ScanAnswerCard>
		implements ScanAnswerCardService {

	@Override
	public ScanAnswerCard findByExamAndNumber(Long examId, Integer cardNumber) {
		if (examId == null) {
			throw new ParameterException("examId不能为空");
		}
		if (cardNumber == null) {
			throw new ParameterException("cardNumber不能为空");
		}
		QueryWrapper<ScanAnswerCard> wrapper = new QueryWrapper<>();
		LambdaQueryWrapper<ScanAnswerCard> lw = wrapper.lambda();
		lw.eq(ScanAnswerCard::getExamId, examId);
		lw.eq(ScanAnswerCard::getNumber, cardNumber);
		return baseMapper.selectOne(wrapper);
	}

}
